﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="12.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug+SPE|ARM64">
      <Configuration>Debug+SPE</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug+SPE|x64">
      <Configuration>Debug+SPE</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|ARM64">
      <Configuration>Debug</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release+SPE|ARM64">
      <Configuration>Release+SPE</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release+SPE|x64">
      <Configuration>Release+SPE</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|ARM64">
      <Configuration>Release</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{4500713F-105B-4F35-9FC9-85D30E7C3F2D}</ProjectGuid>
    <RootNamespace>$(MSBuildProjectName)</RootNamespace>
    <Configuration Condition="'$(Configuration)' == ''">Debug</Configuration>
    <Platform Condition="'$(Platform)' == ''">ARM64</Platform>
    <SampleGuid>{B366A3FE-0009-4DB9-8482-AD1EDA2557F3}</SampleGuid>
    <WindowsTargetPlatformVersion>$(LatestTargetPlatformVersion)</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Label="Configuration" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <TargetVersion>Windows10</TargetVersion>
    <UseDebugLibraries>False</UseDebugLibraries>
    <DriverTargetPlatform>Universal</DriverTargetPlatform>
    <DriverType />
    <PlatformToolset>WindowsApplicationForDrivers10.0</PlatformToolset>
    <ConfigurationType>Application</ConfigurationType>
    <Driver_SpectreMitigation>Spectre</Driver_SpectreMitigation>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release+SPE|x64'" Label="Configuration">
    <TargetVersion>Windows10</TargetVersion>
    <UseDebugLibraries>False</UseDebugLibraries>
    <DriverTargetPlatform>Universal</DriverTargetPlatform>
    <DriverType />
    <PlatformToolset>WindowsApplicationForDrivers10.0</PlatformToolset>
    <ConfigurationType>Application</ConfigurationType>
    <Driver_SpectreMitigation>Spectre</Driver_SpectreMitigation>
  </PropertyGroup>
  <PropertyGroup Label="Configuration" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <TargetVersion>Windows10</TargetVersion>
    <UseDebugLibraries>True</UseDebugLibraries>
    <DriverTargetPlatform>Universal</DriverTargetPlatform>
    <DriverType />
    <PlatformToolset>WindowsApplicationForDrivers10.0</PlatformToolset>
    <ConfigurationType>Application</ConfigurationType>
    <Driver_SpectreMitigation>Spectre</Driver_SpectreMitigation>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|x64'" Label="Configuration">
    <TargetVersion>Windows10</TargetVersion>
    <UseDebugLibraries>True</UseDebugLibraries>
    <DriverTargetPlatform>Universal</DriverTargetPlatform>
    <DriverType />
    <PlatformToolset>WindowsApplicationForDrivers10.0</PlatformToolset>
    <ConfigurationType>Application</ConfigurationType>
    <Driver_SpectreMitigation>Spectre</Driver_SpectreMitigation>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'" Label="Configuration">
    <TargetVersion>Windows10</TargetVersion>
    <UseDebugLibraries>False</UseDebugLibraries>
    <DriverTargetPlatform>Universal</DriverTargetPlatform>
    <DriverType />
    <PlatformToolset>WindowsApplicationForDrivers10.0</PlatformToolset>
    <ConfigurationType>Application</ConfigurationType>
    <Driver_SpectreMitigation>Spectre</Driver_SpectreMitigation>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release+SPE|ARM64'" Label="Configuration">
    <TargetVersion>Windows10</TargetVersion>
    <UseDebugLibraries>False</UseDebugLibraries>
    <DriverTargetPlatform>Universal</DriverTargetPlatform>
    <DriverType />
    <PlatformToolset>WindowsApplicationForDrivers10.0</PlatformToolset>
    <ConfigurationType>Application</ConfigurationType>
    <Driver_SpectreMitigation>Spectre</Driver_SpectreMitigation>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'" Label="Configuration">
    <TargetVersion>Windows10</TargetVersion>
    <UseDebugLibraries>True</UseDebugLibraries>
    <DriverTargetPlatform>Universal</DriverTargetPlatform>
    <DriverType />
    <PlatformToolset>WindowsApplicationForDrivers10.0</PlatformToolset>
    <ConfigurationType>Application</ConfigurationType>
    <Driver_SpectreMitigation>Spectre</Driver_SpectreMitigation>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|ARM64'" Label="Configuration">
    <TargetVersion>Windows10</TargetVersion>
    <UseDebugLibraries>True</UseDebugLibraries>
    <DriverTargetPlatform>Universal</DriverTargetPlatform>
    <DriverType />
    <PlatformToolset>WindowsApplicationForDrivers10.0</PlatformToolset>
    <ConfigurationType>Application</ConfigurationType>
    <Driver_SpectreMitigation>Spectre</Driver_SpectreMitigation>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <PropertyGroup>
    <OutDir>$(IntDir)</OutDir>
  </PropertyGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release+SPE|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release+SPE|ARM64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|ARM64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" />
  </ImportGroup>
  <ItemGroup Label="WrappedTaskItems">
    <MessageCompile Include="wperf-etw-manifest.xml">
      <GenerateKernelModeLoggingMacros>true</GenerateKernelModeLoggingMacros>
      <HeaderFilePath>.\$(IntDir)</HeaderFilePath>
      <GeneratedHeaderPath>true</GeneratedHeaderPath>
      <WinmetaPath>"$(SDK_INC_PATH)\winmeta.xml"</WinmetaPath>
      <RCFilePath>.\$(IntDir)</RCFilePath>
      <GeneratedRCAndMessagesPath>true</GeneratedRCAndMessagesPath>
      <GeneratedFilesBaseName>wperf-driver-etw</GeneratedFilesBaseName>
      <UseBaseNameOfInput>true</UseBaseNameOfInput>
      <HeaderFilePath Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">$(IntDir)</HeaderFilePath>
      <HeaderFilePath Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|ARM64'">$(IntDir)</HeaderFilePath>
      <RCFilePath Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">$(IntDir)</RCFilePath>
      <RCFilePath Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|ARM64'">$(IntDir)</RCFilePath>
      <HeaderFilePath Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">$(IntDir)</HeaderFilePath>
      <HeaderFilePath Condition="'$(Configuration)|$(Platform)'=='Release+SPE|ARM64'">$(IntDir)</HeaderFilePath>
      <RCFilePath Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">$(IntDir)</RCFilePath>
      <RCFilePath Condition="'$(Configuration)|$(Platform)'=='Release+SPE|ARM64'">$(IntDir)</RCFilePath>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">false</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|ARM64'">false</ExcludedFromBuild>
      <DeploymentContent Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">true</DeploymentContent>
      <DeploymentContent Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|ARM64'">true</DeploymentContent>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">false</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release+SPE|ARM64'">false</ExcludedFromBuild>
      <DeploymentContent Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">true</DeploymentContent>
      <DeploymentContent Condition="'$(Configuration)|$(Platform)'=='Release+SPE|ARM64'">true</DeploymentContent>
      <GeneratedFilesBaseName Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">wperf-etw</GeneratedFilesBaseName>
      <GeneratedFilesBaseName Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|ARM64'">wperf-etw</GeneratedFilesBaseName>
      <GeneratedFilesBaseName Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">wperf-etw</GeneratedFilesBaseName>
      <GeneratedFilesBaseName Condition="'$(Configuration)|$(Platform)'=='Release+SPE|ARM64'">wperf-etw</GeneratedFilesBaseName>
      <GeneratedFilesBaseName Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">wperf-etw</GeneratedFilesBaseName>
      <GeneratedFilesBaseName Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|x64'">wperf-etw</GeneratedFilesBaseName>
      <GeneratedFilesBaseName Condition="'$(Configuration)|$(Platform)'=='Release|x64'">wperf-etw</GeneratedFilesBaseName>
      <GeneratedFilesBaseName Condition="'$(Configuration)|$(Platform)'=='Release+SPE|x64'">wperf-etw</GeneratedFilesBaseName>
    </MessageCompile>
  </ItemGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <TargetName>wperf</TargetName>
    <RunCodeAnalysis>true</RunCodeAnalysis>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release+SPE|x64'">
    <TargetName>wperf</TargetName>
    <RunCodeAnalysis>true</RunCodeAnalysis>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <TargetName>wperf</TargetName>
    <LinkIncremental>true</LinkIncremental>
    <RunCodeAnalysis>true</RunCodeAnalysis>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|x64'">
    <TargetName>wperf</TargetName>
    <LinkIncremental>true</LinkIncremental>
    <RunCodeAnalysis>true</RunCodeAnalysis>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">
    <TargetName>wperf</TargetName>
    <ApiValidator_Enable>false</ApiValidator_Enable>
    <RunCodeAnalysis>true</RunCodeAnalysis>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release+SPE|ARM64'">
    <TargetName>wperf</TargetName>
    <ApiValidator_Enable>false</ApiValidator_Enable>
    <RunCodeAnalysis>true</RunCodeAnalysis>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">
    <TargetName>wperf</TargetName>
    <ApiValidator_Enable>false</ApiValidator_Enable>
    <LinkIncremental>true</LinkIncremental>
    <RunCodeAnalysis>true</RunCodeAnalysis>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|ARM64'">
    <TargetName>wperf</TargetName>
    <ApiValidator_Enable>false</ApiValidator_Enable>
    <LinkIncremental>true</LinkIncremental>
    <RunCodeAnalysis>true</RunCodeAnalysis>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Link />
    <ResourceCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </ResourceCompile>
    <ClCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir);$(VSInstallDir)DIA SDK\include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE;ENABLE_ETW_TRACING_APP</PreprocessorDefinitions>
      <ExceptionHandling>Sync</ExceptionHandling>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Midl>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </Midl>
    <DriverSign>
      <FileDigestAlgorithm>sha256</FileDigestAlgorithm>
    </DriverSign>
    <Link>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release+SPE|x64'">
    <Link />
    <ResourceCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </ResourceCompile>
    <ClCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir);$(VSInstallDir)DIA SDK\include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE;ENABLE_ETW_TRACING_APP</PreprocessorDefinitions>
      <ExceptionHandling>Sync</ExceptionHandling>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <WholeProgramOptimization>true</WholeProgramOptimization>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Midl>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </Midl>
    <DriverSign>
      <FileDigestAlgorithm>sha256</FileDigestAlgorithm>
    </DriverSign>
    <Link>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Link />
    <ResourceCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </ResourceCompile>
    <ClCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir);$(VSInstallDir)DIA SDK\include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE;ENABLE_ETW_TRACING_APP</PreprocessorDefinitions>
      <ExceptionHandling>Sync</ExceptionHandling>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Midl>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </Midl>
    <DriverSign>
      <FileDigestAlgorithm>sha256</FileDigestAlgorithm>
    </DriverSign>
    <Link>
      <LinkTimeCodeGeneration>Default</LinkTimeCodeGeneration>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|x64'">
    <Link />
    <ResourceCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </ResourceCompile>
    <ClCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir);$(VSInstallDir)DIA SDK\include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE;ENABLE_ETW_TRACING_APP</PreprocessorDefinitions>
      <ExceptionHandling>Sync</ExceptionHandling>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Midl>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </Midl>
    <DriverSign>
      <FileDigestAlgorithm>sha256</FileDigestAlgorithm>
    </DriverSign>
    <Link>
      <LinkTimeCodeGeneration>Default</LinkTimeCodeGeneration>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">
    <Link />
    <ResourceCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </ResourceCompile>
    <ClCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir);$(VSInstallDir)DIA SDK\include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE;ENABLE_ETW_TRACING_APP</PreprocessorDefinitions>
      <ExceptionHandling>Sync</ExceptionHandling>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Midl>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </Midl>
    <DriverSign>
      <FileDigestAlgorithm>sha256</FileDigestAlgorithm>
    </DriverSign>
    <PreBuildEvent>
      <Command>powershell.exe -ExecutionPolicy Bypass -NoProfile -NonInteractive -File "$(SolutionDir)wperf-scripts\vergen\gengitver.ps1" "$(SolutionDir)wperf-common\gitver.def"</Command>
      <Message>Generate wperf-common\gitver.def (WPERF_GIT_VER_STR)</Message>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release+SPE|ARM64'">
    <Link />
    <ResourceCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </ResourceCompile>
    <ClCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir);$(VSInstallDir)DIA SDK\include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE;ENABLE_ETW_TRACING_APP;ENABLE_SPE</PreprocessorDefinitions>
      <ExceptionHandling>Sync</ExceptionHandling>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Midl>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </Midl>
    <DriverSign>
      <FileDigestAlgorithm>sha256</FileDigestAlgorithm>
    </DriverSign>
    <PreBuildEvent>
      <Command>powershell.exe -ExecutionPolicy Bypass -NoProfile -NonInteractive -File "$(SolutionDir)wperf-scripts\vergen\gengitver.ps1" "$(SolutionDir)wperf-common\gitver.def"</Command>
      <Message>Generate wperf-common\gitver.def (WPERF_GIT_VER_STR)</Message>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">
    <Link />
    <ResourceCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </ResourceCompile>
    <ClCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir);$(VSInstallDir)DIA SDK\include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE;ENABLE_ETW_TRACING_APP</PreprocessorDefinitions>
      <ExceptionHandling>Sync</ExceptionHandling>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Midl>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </Midl>
    <DriverSign>
      <FileDigestAlgorithm>sha256</FileDigestAlgorithm>
    </DriverSign>
    <PreBuildEvent>
      <Command>powershell.exe -ExecutionPolicy Bypass -NoProfile -NonInteractive -File "$(SolutionDir)wperf-scripts\vergen\gengitver.ps1" "$(SolutionDir)wperf-common\gitver.def"</Command>
      <Message>Generate wperf-common\gitver.def (WPERF_GIT_VER_STR)</Message>
    </PreBuildEvent>
    <Link>
      <LinkTimeCodeGeneration>Default</LinkTimeCodeGeneration>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug+SPE|ARM64'">
    <Link />
    <ResourceCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </ResourceCompile>
    <ClCompile>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir);$(VSInstallDir)DIA SDK\include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE;ENABLE_ETW_TRACING_APP;ENABLE_SPE</PreprocessorDefinitions>
      <ExceptionHandling>Sync</ExceptionHandling>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Midl>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(DDK_INC_PATH);$(SDK_INC_PATH);$(SolutionDir)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>%(PreprocessorDefinitions);UNICODE;_UNICODE</PreprocessorDefinitions>
    </Midl>
    <DriverSign>
      <FileDigestAlgorithm>sha256</FileDigestAlgorithm>
    </DriverSign>
    <PreBuildEvent>
      <Command>powershell.exe -ExecutionPolicy Bypass -NoProfile -NonInteractive -File "$(SolutionDir)wperf-scripts\vergen\gengitver.ps1" "$(SolutionDir)wperf-common\gitver.def"</Command>
      <Message>Generate wperf-common\gitver.def (WPERF_GIT_VER_STR)</Message>
    </PreBuildEvent>
    <Link>
      <LinkTimeCodeGeneration>Default</LinkTimeCodeGeneration>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="arg_parser_arg.cpp" />
    <ClCompile Include="arg_parser.cpp" />
    <ClCompile Include="cmn_device.cpp" />
    <ClCompile Include="config.cpp" />
    <ClCompile Include="cpuinfo.cpp" />
    <ClCompile Include="disassembler.cpp" />
    <ClCompile Include="events.cpp" />
    <ClCompile Include="main.cpp" />
    <ClCompile Include="man.cpp" />
    <ClCompile Include="metric.cpp" />
    <ClCompile Include="output.cpp" />
    <ClCompile Include="padding.cpp" />
    <ClCompile Include="parsers.cpp" />
    <ClCompile Include="perfdata.cpp" />
    <ClCompile Include="pe_file.cpp" />
    <ClCompile Include="pmu_device.cpp" />
    <ClCompile Include="process_api.cpp" />
    <ClCompile Include="spe_device.cpp" />
    <ClCompile Include="timeline.cpp" />
    <ClCompile Include="user_request.cpp" />
    <ClCompile Include="utils.cpp" />
    <ClCompile Include="wperf.cpp" />
  </ItemGroup>
  <ItemGroup>
    <Inf Exclude="@(Inf)" Include="*.inf" />
    <FilesToPackage Include="$(TargetPath)" Condition="'$(ConfigurationType)'=='Driver' or '$(ConfigurationType)'=='DynamicLibrary'" />
  </ItemGroup>
  <ItemGroup>
    <None Exclude="@(None)" Include="*.txt;*.htm;*.html" />
    <None Exclude="@(None)" Include="*.ico;*.cur;*.bmp;*.dlg;*.rct;*.gif;*.jpg;*.jpeg;*.wav;*.jpe;*.tiff;*.tif;*.png;*.rc2" />
    <None Exclude="@(None)" Include="*.def;*.bat;*.hpj;*.asmx" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="arg_parser.h" />
    <ClInclude Include="arg_parser_arg.h" />
    <ClInclude Include="cmn_device.h" />
    <ClInclude Include="config.h" />
    <ClInclude Include="cpuinfo.h" />
    <ClInclude Include="disassembler.h" />
    <ClInclude Include="events.h" />
    <ClInclude Include="exception.h" />
    <ClInclude Include="json.h" />
    <ClInclude Include="man.h" />
    <ClInclude Include="metric.h" />
    <ClInclude Include="output.h" />
    <ClInclude Include="outpututil.h" />
    <ClInclude Include="padding.h" />
    <ClInclude Include="parsers.h" />
    <ClInclude Include="perfdata.h" />
    <ClInclude Include="pe_file.h" />
    <ClInclude Include="pmu_device.h" />
    <ClInclude Include="prettytable.h" />
    <ClInclude Include="process_api.h" />
    <ClInclude Include="products.h" />
    <ClInclude Include="spe_device.h" />
    <ClInclude Include="timeline.h" />
    <ClInclude Include="user_request.h" />
    <ClInclude Include="utils.h" />
    <ClInclude Include="wperf.h" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="wperf-etw.rc" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
</Project>